$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on("keyup change blur", ".qtyperc,.batchsize,#product", calraw);
    $("body").on("keyup change", ".actpcs", calprod);
    $("body").on("change", "#product", fin_prod);
    $("body").on("blur change", ".vouchdt", getvoucher);
    $("body").on("blur", ".batchno", chkbatch);
    $("body").on("keyup change", ".yieldkg,.batchsize", calyield);
     $("body").on("click", "#submit ,#cancel", hide_but);


    function hide_but() {
        $("#ssubmit").hide();
        $("#scancel").hide();
    }

    function calyield() {
        var batchsize = $('.batchsize').val(),
                yieldval = 0,
                yieldkg = $('.yieldkg').val();
        if (yieldkg > 0) {
            yieldval = yieldkg;
        } else {
            yieldval = 0;
        }
        var wasteqty = batchsize - yieldval,
                yieldperc = yieldval * 100 / batchsize;
        $('.wasteqty').val(wasteqty);
        $('.yieldperc').val(yieldperc);

    }

    $('.rawmodal').click(function () {
        var batchsize = $('.batchsize').val(),
                prodname = $('#product').find('option:selected').text(),
                product = $('.product').val();
        $('.prodname').text('PRODUCT' + ':-' + prodname);
        $('.sbatch').text('BATCH-SIZE' + ':-' + batchsize);
        if (batchsize == 0 && product == '') {
            alert('Please Fill Product & Batch Size !!');
            $(".batchsize").focus();
        } else {
            $('.rawModal').modal('show');
        }
    });

    $('.packmodal').click(function () {

        if ($('.tbody').html().length != 0) {

            var product = $('#product').val(),
                    addflag = $('.addflag').val(),
                    prodarry = {};

            $(".tbody").find('tr').each(function () {
                var row = $(this),
                        prodcode = row.find('.prodcode').val(),
                        approxpcs = row.find('.approxpcs').val();

                if (prodcode != '' && approxpcs > 0) {
                    prodarry[prodcode] = parseFloat(approxpcs);

                }
            });
            var prod_pcs = JSON.stringify(prodarry);

            // packing material

            if (addflag != 1) {
                $.ajax({
                    type: "POST",
                    dataType: 'html',
                    url: "get_packdtl.php",
                    data: {product: product, prodcode: prod_pcs},
                    success: function (result) {

                        if ($('.tbody4').html().length == 0) {
                            $(".packdtl").empty();
                            $(".packdtl").html(result);
                        } else {
                            $(".tbody4").find('tr').each(function () {
                                var row = $(this),
                                        issuedqty = row.find('.issuedqty').val();
                                if (issuedqty > 0) {
                                    return false;
                                } else {
                                    $(".packdtl").empty();
                                    $(".packdtl").html(result);
                                }
                            });
                        }
                    }
                });
            } else {
                $.ajax({
                    type: "POST",
                    dataType: 'html',
                    url: "get_packdtl.php",
                    data: {product: product, prodcode: prod_pcs},
                    success: function (result) {
                        $(".packdtl").empty();
                        $(".packdtl").html(result);
                    }
                });
            }
            $('.packModal').modal('show');

        }
    });


    function chkbatch() {
        var batchno = $(".batchno").val(),
                cal = batchno % 9;

        if (cal != 0) {
            $(".batchno").val('');
            $(".batchno").focus();
            alert('Invalid Batch Number !!');
        }
    }

    function getvoucher() {
        var date = new Date($(".vouchdt").val()),
                month = (date.getMonth() + 1).toString(),
                vouchno = $('.vouchno').val(),
                voucher = '0' + month + vouchno;

        $('.monno').val(month);
        $('.voucher').val(voucher);

    }

    function fin_prod() {
        var product = $('#product').val(),
                addflag = $('.addflag').val();


        // product     
        if (addflag != 1) {
            $.ajax({
                type: "GET",
                dataType: 'html',
                url: "get_proddtl.php",
                data: {product: product},
                success: function (result) {
                    if ($('.tbody').html().length == 0) {
                        $(".proddtl").empty();
                        $(".proddtl").html(result);

                    } else {
                        $(".tbody").find('tr').each(function () {
                            var row = $(this),
                                    actpcs = row.find('.actpcs').val();
                            if (actpcs > 0) {
                                return false;
                            } else {
                                $(".proddtl").empty();
                                $(".proddtl").html(result);
                            }
                        });
                    }

                },
                error: function (request, textStatus, errorThrown) {

                }
            });
        } else {
            $.ajax({
                type: "GET",
                dataType: 'html',
                url: "get_proddtl.php",
                data: {product: product},
                success: function (result) {
                    $(".proddtl").empty();
                    $(".proddtl").html(result);
                },
                error: function (request, textStatus, errorThrown) {

                }
            });
        }
// raw material
        if (addflag != 1) {
            $.ajax({
                type: "GET",
                dataType: 'html',
                url: "get_rawdtl.php",
                data: {product: product},
                success: function (result) {

                    if ($('.tbody3').html().length == 0) {
                        $(".rawdtl").empty();
                        $(".rawdtl").html(result);
                    } else {
                        $(".tbody3").find('tr').each(function () {
                            var row = $(this),
                                    issuedqty = row.find('.issuedqty').val();
                            if (issuedqty > 0) {
                                return false;
                            } else {
                                $(".rawdtl").empty();
                                $(".rawdtl").html(result);
                            }
                        });
                    }

                }
            });
        } else {
            $.ajax({
                type: "GET",
                dataType: 'html',
                url: "get_rawdtl.php",
                data: {product: product},
                success: function (result) {
                    $(".rawdtl").empty();
                    $(".rawdtl").html(result);
                }
            });
        }


    }



    function calraw() {
        var batchsize = $('.batchsize').val(),
                totpercqty = 0,
                totbqty = 0;

        if (batchsize > 0) {
            $(".tbody3").find('tr').each(function () {
                var row = $(this),
                        qtyperc = row.find('.qtyperc').val(),
                        bqty = parseFloat(batchsize) * parseFloat(qtyperc) / 100;

                row.find('.qtybatch').val(bqty);
                row.find('.issuedqty').val(bqty);

                totpercqty += parseFloat(qtyperc);
                totbqty += parseFloat(bqty);
            });
            $(".totpercqty").val(totpercqty);
            $(".totbqty").val(totbqty);
        } else {
            var tr = $(this).closest("tr"),
                    qtyperc = tr.find(".qtyperc").val(),
                    batchqty = parseFloat(batchsize) * parseFloat(qtyperc) / 100;
            tr.find(".qtybatch").val(batchqty);
        }
    }

    function calprod() {
        var totactpcs = 0;

        $('.actpcs').each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                totactpcs += parseFloat(this.value);
            }
        });

        $(".totactpcs").val(totactpcs);
    }


    $('#addnew').click(function () {
        AddRows();
    });

    $('#addnew3').click(function () {
        AddRows2();
    });

    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }

        $.post('production_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
        });
    }

    function AddRows2() {
        var ctr = $('#items3').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        $.post('prodraw_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody3');
            ctr++;
            $('#items3').val(ctr);
        });
    }

    //////////////////////////////////////////////Search Part - Start//////////////////////////////////////////////
//    $(".snoRecord").hide();
//
//    $(".searchModal").on('shown.bs.modal', function () {
//        $(".ssearch").focus();
//        $(".ssearch").val("");
//        $(".sfield").val("1");
//        getSearchData();
//    });
//
//    var smrangeFrom = 0,
//            smrangeTo = 40;
//
//    function getSearchData(pagination) {
//
//        $(".sloader").show();
//
//        if (pagination == 'prev') {
//            if (smrangeFrom > 0) {
//                smrangeFrom = (smrangeFrom - 40);
//                smrangeTo = (smrangeTo - 40);
//            }
//        }
//        if (pagination == 'next') {
//            smrangeFrom = (smrangeFrom + 40);
//            smrangeTo = (smrangeTo + 40);
//        }
//
//        var ssearch = $(".ssearch").val(),
//                sfield = $(".sfield").val(),
//                sortBy = $(".sortBy").val(),
//                orderAs = $(".orderAs").val(),
//                soperator = $(".soperator").val(),
//                data = {ssearch: ssearch, sfield: sfield, sortBy: sortBy, orderAs: orderAs, soperator: soperator,
//                    rangeFrom: smrangeFrom, rangeTo: smrangeTo},
//        values = "";
//        $.ajax({
//            type: 'GET',
//            dataType: 'json',
//            url: "purchasegst_search.php",
//            data: data,
//            success: function (response) {
//                $.each(response, function () {
//                    values += "<tr class='clickable-row' data-href='" + this.action + "'>" +
//                            "<td align='left'>" + this.vouchno + "</td>" +
//                            "<td align='left'>" + this.name + "</td>" +
//                            "<td align='left'>" + this.mobile + "</td>" +
//                            "<td align='left'>" + this.billno + "</td>" +
//                            "<td align='left'>" + this.vouchdt + "</td>" +
//                            "<td align='left'>" + this.nettotal + "</td>" +
//                            "<td align='left'>" + this.rem1 + "</td>" +
//                            "<td align='left'><a href='" + this.action + "'><i class='fa fa-pencil' style='font-size:1.3em;cursor:pointer;'></i></a></td>" +
//                            "</tr>";
//                });
//                $(".sloader").hide();
//                $(".sTbody").empty();
//                $(".sTbody").html(values);
//                if (response) {
//                    $(".search-action-bar").show();
//                }
//            },
//            error: function (request, textStatus, errorThrown) {
//
//            }
//        });
//    }
//    $("#search").click(function () {
//        getSearchData();
//    });
////    $(".ssearch").change(function () {
////        getSearchData();
////    });
//    $(".sprevious").click(function () {
//        getSearchData('prev');
//    });
//    $(".snext").click(function () {
//        getSearchData('next');
//    });


    //////////////////////////////////////////////Search Part - End  //////////////////////////////////////////////



});